local Quad = love.graphics.newQuad
function love.load()
	sprite = love.graphics.newImage "sprite.png"
	quads = {
		down = {
			Quad( 0,   0, 32, 48, 128, 192);
			Quad(32,   0, 32, 48, 128, 192);
			Quad(64,   0, 32, 48, 128, 192);
			Quad(96,   0, 32, 48, 128, 192);
		};
		left = {
			Quad( 0,  48, 32, 48, 128, 192);
			Quad(32,  48, 32, 48, 128, 192);
			Quad(64,  48, 32, 48, 128, 192);
			Quad(96,  48, 32, 48, 128, 192);
		};
		right = {
			Quad( 0,  96, 32, 48, 128, 192);
			Quad(32,  96, 32, 48, 128, 192);
			Quad(64,  96, 32, 48, 128, 192);
			Quad(96,  96, 32, 48, 128, 192);
		};
		up = {
			Quad( 0, 144, 32, 48, 128, 192);
			Quad(32, 144, 32, 48, 128, 192);
			Quad(64, 144, 32, 48, 128, 192);
			Quad(96, 144, 32, 48, 128, 192);
		};
	}
	iterator = 1
	max = 4
	timer = 0
	moving = false
	direction = "down"
end

function love.update(dt)
	if moving then
		timer = timer + dt
		if timer > 0.2 then
			timer = 0
			iterator = iterator + 1
			if iterator > max then
				iterator = 1
			end
		end
	end
end

function love.draw()
	love.graphics.drawq(sprite, quads[direction][iterator], 5, 5)
end

function love.keypressed(key)
	if quads[key] then -- this is really ugly. Don't do it like this in your final game.
		moving = true
		direction = key
	end
end
function love.keyreleased(key)
	if quads[key] and direction == key then -- only stop moving if we're still moving in only that direction.
		moving = false
		direction = "down"
		iterator = 1
	end
end
